//NewGuideControlPanel.java
/* A Java class for
 * TwoWire.java
 * Electromagnetic Transmission Line Applet
 * Applet without Smith Chart - Prepared by Umberto Ravaioli 
 * for 6th edition of Fundamentals of Applied Electromagnetics Book
 * May 2009 - All Rights Reserved
 */   

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;  

public class NewGuideControlPanel extends Panel{
    //private static final Color bgcolor = Color.lightGray;
    //private static final Color bgcolor = new Color(160,200,200);
     private static final Color bgcolor = new Color(236,236,236);
    public static Font labfont;
    Label lab1, lab2;
    Choice ch1, ch2;
    
    public NewGuideControlPanel(){
	super();
	setBackground(bgcolor);
	
	lab1 = new Label("Select: ", Label.RIGHT);
	//lab1.setFont(new Font("SanSerif",Font.BOLD,12));
        lab1.setFont(labfont);
	
	lab2 = new Label("Select: ", Label.RIGHT);
	//lab2.setFont(new Font("SanSerif",Font.BOLD,12));
        lab2.setFont(labfont);
	
	//ch1 = new Choice();
	//ch1.addItem("Input");
	//ch1.addItem("Output");
	
	ch2 = new Choice();
        //ch2.addItem(" Instructions");
	ch2.addItem(" Impedance vs. Distance D");
	ch2.addItem(" Impedance vs. Diameter d");
        ch2.setFont(labfont.deriveFont(Font.PLAIN));
	//add(lab1);
	//add(ch1);
	
	add(lab2);
	add(ch2);
    }
    
    public void paint(Graphics g){
	g.setColor(bgcolor.darker());
	g.fillRect(0,getSize().height-2,getSize().width,2);
	g.fillRect(getSize().width-2,0,2,getSize().height);
	g.setColor(bgcolor.brighter());
	g.fillRect(0,0,2,getSize().height-1);
	g.fillRect(0,0,getSize().width-2,2);
    }
    
}
